/*  DISKTYPE.C
 *  last mod.: 27-AUG-91
 */

#include <STDIO.H>
#include <STRING.H>
#include <STDLIB.H>
#include <L_STR.H>
#include <L_DISK.H>

Str_ptr usage = "\nUse:  DISKTYPE drive_letter\n";

/*----------------------------*/
void main(int argc, char **argv)
{
Uchar drive;
Uchar buffer[20];
int result;
struct disk_free_t disk_free;   /*  see L_AUXSTR.H  */

if ( argc < 2 )
    {
    printf(usage);
    exit(0);
    }

strupr(argv[1]);
drive = argv[1][0];

result = get_disk_free(drive,&disk_free);
if ( result == -1 )
    printf("Invalid drive or error with the disk in drive %c.\n",drive);
else
    {
    printf("For the disk in drive %c:\n",drive);
    printf("Sectors per cluster = %d\n",disk_free.sectors_per_cluster);
    printf("Bytes per sector = %d\n",disk_free.bytes_per_sector);
    printf("Bytes per cluster = %d\n",disk_free.bytes_per_cluster);
    printf("Free bytes = %s\n",
        sltoa_commas(disk_free.free_bytes,buffer));
    printf("Free sectors = %s\n",
        sltoa_commas(disk_free.free_sectors,buffer));
    printf("Free clusters = %s\n",
        ultoa_commas((Ulong)disk_free.free_clusters,buffer));
    printf("Total clusters = %s\n",
        ultoa_commas((Ulong)disk_free.total_clusters,buffer));
    printf("The disk in drive %c: is a ",drive);
    switch ( disk_type(drive) )
        {
        case _D_FIXEDDISK: printf("fixed (non-removable) disk.\n"); break;
        case _D_360KB: printf("5.25\" 360Kb floppy disk.\n"); break;
		case _D_12MB:  printf("5.25\" 1.2Mb floppy disk.\n"); break;
        case _D_720KB: printf("3.5\" 720Kb floppy disk.\n"); break;
        case _D_144MB: printf("3.5\" 1.44Mb floppy disk.\n"); break;
        case _D_160KB: printf("5.25\" 160Kb floppy disk.\n"); break;
        case _D_180KB: printf("5.25\" 180Kb floppy disk.\n"); break;
        case _D_320KB: printf("5.25\" 320Kb floppy disk.\n"); break;
        }
    }
}
